# NAME

Trf_CreateCtrlBlock - Interface to procedure for creation of encoder/decoder control structures.

# SYNOPSIS

    #include <transform.h>

    Trf_ControlBlock Trf_CreateCtrlBlock
    (
    	ClientData writeClientData,
    	Trf_WriteProc *fun,
    	Trf_Options optInfo,
    	Tcl_Interp *interp,
    	ClientData clientData
    );

# PARAMETERS

ClientData writeClientData
  Arbitrary information given as clientdata to 'fun'.
Trf_WriteProc *fun
  Vector to use for writing generated results.
Trf_Options optInfo
  Options to configure the control.
Tcl_Interp *interp
  Interpreter for error messages.
ClientData clientData
  Arbitrary information, as defined in Trf_TypeDefinition.clientData.

# DESCRIPTION

The procedure has to create a control structure for an encoder/decoder. The structure must be initialized with the contents of the the option container. Return value is an opaque handle aof the control structure or NULL in case of failure. An error message should be left in the result area of the specified interpreter then.

# SEE ALSO

Trf_Init , Trf_SafeInit , Trf_IsInitialized , Trf_CreateOptions , Trf_DeleteOptions , Trf_CheckOptions , Trf_SetOption , Trf_SetObjOption , Trf_QueryOptions , Trf_SeekQueryOptions , Trf_WriteProc , Trf_DeleteCtrlBlock , Trf_TransformCharacter , Trf_TransformBuffer , Trf_FlushTransformation , Trf_ClearCtrlBlock , Trf_QueryMaxRead , Trf_Register , Trf_ConverterOptions , Trf_MDStart , Trf_MDUpdate , Trf_MDUpdateBuf , Trf_MDFinal , Trf_MDCheck , Trf_RegisterMessageDigest , Trf_LoadLibrary , Trf_XorBuffer , Trf_ShiftRegister , Trf_FlipRegisterShort , Trf_FlipRegisterLong , Trf_InitStubs